namespace Tagashi_File_Hub.App.Abstractions;

internal class AppBuilder
{
    private List<IStartStep> StartSteps { get; } = new();

    public AppBuilder WithStartStep(IStartStep step)
    {
        StartSteps.Add(step);

        return this;
    }

    public AppBuilder WithStartStep(Func<Task> step)
    {
        return WithStartStep(new DelegateStartStep(step));
    }
}